Флеш-плеер в Крещении

9

Я установил браузер Epiphany, и мне очень нравится, потому что это время запуска и небольшой размер. Тем не менее, я не могу сделать youtube или huhu видео (что-нибудь, что требует вспышки), чтобы бежать на Epiphany. Не могли бы вы помочь мне с настройкой. У меня есть Firefox и opera как в моей системе, так и в обоих можно воспроизводить видео на основе Flash в Интернете.

    
задан Jigar.Shah 04.10.2011 в 01:12
источник

7 ответов

7

Flash - это GTK + 2, а Epiphany - GTK + 3 ... вот в чем проблема.

  1. установить flash sudo apt-get install flashplugin-installer
  2. установить nspluginwrapper sudo apt-get install nspluginwrapper
  3. sudo nspluginwrapper -i /usr/lib/flashplugin-installer/libflashplayer.so
  4. nspluginwrapper -v -a -n -i
ответ дан lukas 14.10.2011 в 10:22
3

Я на Xubuntu 12.04, lib находится в /usr/lib/flashplugin-installer/ .

Итак, в моем случае код:

sudo apt-get install nspluginwrapper
sudo nspluginwrapper -i /usr/lib/flashplugin-installer/libflashplayer.so
nspluginwrapper -v -a -n -i
    
ответ дан user87681 05.09.2012 в 12:39
2

Я на Ubuntu 12.04, и в моем случае я установил flashplugin, используя Ubuntu Software Center, и поэтому он установил плагин на /usr/lib/adobe-flashplugin/libflashplayer.so . Я сделал следующее, и Flash отлично работал в Epiphany 3.4.1.

sudo apt-get install nspluginwrapper
sudo nspluginwrapper -i /usr/lib/adobe-flashplugin/libflashplayer.so
nspluginwrapper -v -a -n -i
    
ответ дан Ravi Krishna 06.06.2012 в 06:45
2

Я решаю проблему с adobe flash player в прозрении 3.6; -)

Это то, что я делаю:

  1. sudo apt-get install adobe-flashplugin nspluginwrapper
  2. sudo nspluginwrapper -i /usr/lib/adobe-flashplugin/libflashplayer.so
  3. nspluginwrapper -v -a -n -i
ответ дан edasmax 22.10.2012 в 09:48
2

Если вы используете 64-бит Ubuntu, install adobe-flashplugin:i386 вместо adobe-flashplugin , перед использованием nspluginwrapper .

sudo apt-get install adobe-flashplugin:i386 nspluginwrapper
nspluginwrapper -v -a -n -i
    
ответ дан Ryan Helbig 08.11.2012 в 00:41
1

Перейдите на страницу Ссылка или Ссылка в Крещении.

Он должен показать вам, если у вас установлена ​​вспышка, может быть, есть еще одна проблема. Flash в Epiphany работал в первый раз, когда я установил его и загрузил youtube.

    
ответ дан Maverick 04.10.2011 в 02:32
0

Плагины NPAPI (к сожалению) больше не поддерживаются основными веб-браузерами. PPAPI - это новый способ. К счастью, очень хороший проект с открытым исходным кодом под названием Freshplugin позволяет любому браузеру использовать PPPI-плеер PPPI от Chrome в Linux. Это означает, что последнее обновление флеш-плеера будет использоваться в любом браузере, даже в прозрении. У вас должен быть установлен Chrome. Ссылка

    
ответ дан user497199 24.01.2016 в 19:16